<%--
  - format-edit.jsp
  -
  - Version: $Revision: 1947 $
  -
  - Date: $Date: 2007-05-18 09:50:29 -0400 (Fri, 18 May 2007) $
  -
  - Copyright (c) 2002, Hewlett-Packard Company and Massachusetts
  - Institute of Technology.  All rights reserved.
  -
  - Redistribution and use in source and binary forms, with or without
  - modification, are permitted provided that the following conditions are
  - met:
  -
  - - Redistributions of source code must retain the above copyright
  - notice, this list of conditions and the following disclaimer.
  -
  - - Redistributions in binary form must reproduce the above copyright
  - notice, this list of conditions and the following disclaimer in the
  - documentation and/or other materials provided with the distribution.
  -
  - - Neither the name of the Hewlett-Packard Company nor the name of the
  - Massachusetts Institute of Technology nor the names of their
  - contributors may be used to endorse or promote products derived from
  - this software without specific prior written permission.
  -
  - THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  - ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  - LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  - A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  - HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
  - INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  - BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
  - OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  - ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
  - TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
  - USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
  - DAMAGE.
  --%>


<%--
  - Display and edit a bitstream format
  -
  - Attributes:
  -
  -   bsf - the bitstream format
  --%>

<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"
    prefix="fmt" %>


<%@ taglib uri="http://www.dspace.org/dspace-tags.tld" prefix="dspace" %>

<%@ page import="javax.servlet.jsp.jstl.fmt.LocaleSupport" %>

<%@ page import="org.dspace.content.BitstreamFormat" %>
<%@ page import="org.dspace.content.format.FormatRegistryManager" %>
<%@ page import="org.dspace.core.Context"%>
<%@ page import="org.dspace.core.Utils"%>
<%@ page import="org.dspace.app.webui.util.UIUtil"%>

<%@ page import="java.util.Date"%>



<%
    BitstreamFormat bsf =
        (BitstreamFormat) request.getAttribute("bsf");
%>

<dspace:layout titlekey="jsp.dspace-admin.format-edit.title"
               navbar="admin"
               locbar="link"
               parenttitlekey="jsp.administer"
               parentlink="/dspace-admin">

    <h1><fmt:message key="jsp.dspace-admin.format-edit.title"/></h1>

    <p><fmt:message key="jsp.dspace-admin.format-edit.text1"/></p>

<%
    String warning = (String)request.getAttribute("warning");
    if (warning != null) {
%>
   <blockquote><font color="RED" size="+2">
     <%= LocaleSupport.getLocalizedMessage(pageContext, warning) %>
   </font></blockquote>
<%
    }
%>


<%-- XXX move help link?  --%>
<%--
    &nbsp;&nbsp;<dspace:popup page="<%= LocaleSupport.getLocalizedMessage(pageContext, \"help.site-admin\") + \"#bitstream\"%>"><fmt:message key="jsp.help"/></dspace:popup>
  --%>

<%
    Context context = UIUtil.obtainContext(request);
%>
<%-- ===========================================================
     bsf properties
     =========================================================== --%>
    <form method="post" action="">
      <input type="hidden" name="format_id" value="<%= bsf.getID() %>" />
      <table align="center">
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.general.id"/>
          </td>
          <td><%= bsf.getID() %></td>
        </tr>
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.dspace-admin.list-formats.name"/>
          </td>
          <td>
            <input type="text" name="name" value="<%= bsf.getName() %>" size="30" limit="128"/>
            <font size="-1"><fmt:message key="jsp.dspace-admin.format-edit.override"/></font>
            <input type="checkbox" name="override_name" value="true"
                   <%= bsf.isOverrideName() ? "checked" : "" %>>
          </td>
        </tr>
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.dspace-admin.list-formats.description"/>
          </td>
          <td>
            <textarea name="description" rows="3" cols="30"><%= bsf.getDescription() %></textarea>
            <br>
            <font size="-1"><fmt:message key="jsp.dspace-admin.format-edit.override"/></font>
            <input type="checkbox" name="override_description" value="true"
                   <%= bsf.isOverrideDescription() ? "checked" : "" %>>
          </td>
        </tr>
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.dspace-admin.list-formats.mime"/>
          </td>
          <td>
            <input type="text" name="mimetype" value="<%= bsf.getMIMEType() %>" size="30" limit="128"/>
            <font size="-1"><fmt:message key="jsp.dspace-admin.format-edit.override"/></font>
            <input type="checkbox" name="override_mimetype" value="true"
                   <%= bsf.isOverrideMIMEType() ? "checked" : "" %>>
          </td>
        </tr>
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.dspace-admin.list-formats.canonical-extension"/>
          </td>
          <td>
            <input type="text" name="extension" value="<%= bsf.getCanonicalExtension() %>" size="30" limit="40"/>
            <font size="-1"><fmt:message key="jsp.dspace-admin.format-edit.override"/></font>
            <input type="checkbox" name="override_extension" value="true"
                   <%= bsf.isOverrideCanonicalExtension() ? "checked" : "" %>>
          </td>
        </tr>
        <tr>
          <td class="submitFormLabel">
            <fmt:message key="jsp.dspace-admin.list-formats.support"/>
          </td>
          <td>
            <select name="support_level">
<%
              for (int i = 0; i < 3; ++i) {
 %>
                <option value="<%= String.valueOf(i) %>"
                        <%= bsf.getSupportLevel() == i ? "selected=\"selected\"" : "" %>>
                  <%= LocaleSupport.getLocalizedMessage(pageContext,
                         "jsp.dspace-admin.list-formats." + BitstreamFormat.supportLevelText[i].toLowerCase()) %>
                </option>
<%
              }
 %>
            </select>
          </td>
        </tr>
        <tr>
            <td> </td>
            <td>
              <input type="submit" name="submit_update_metadata"
                 value="<fmt:message key="jsp.dspace-admin.general.update"/>" />
              &nbsp;
              <input type="submit" name="cancel"
                 value="<fmt:message key="jsp.dspace-admin.general.cancel"/>" />
            </td>
        </tr>
      </table>
    </form>

<%-- ===========================================================
     external identifiers
     =========================================================== --%>

      <h2><fmt:message key="jsp.dspace-admin.format-edit.external-identifiers"/></h2>
      <p><fmt:message key="jsp.dspace-admin.format-edit.text2"/></p>

       <%-- external IDs: namespace, identifier, update, delete --%>
        <table class="miscTable" align="center">

         <tr>
           <th class="oddRowOddCol" align="right"><strong><fmt:message key="jsp.dspace-admin.format-edit.namespace"/></strong></th>
           <th class="oddRowEvenCol"><strong>:</strong></th>
           <th class="oddRowOddCol" align="left"><strong><fmt:message key="jsp.dspace-admin.format-edit.identifier"/></strong></th>
           <th class="oddRowEvenCol"><strong><fmt:message key="jsp.dspace-admin.format-edit.last-imported"/></strong></th>
           <th class="oddRowOddCol"> </th>
           <th class="oddRowEvenCol"> </th>
         </tr>
       <%
         String row = "even";
         for (String nsid : bsf.getIdentifiers())
         {
             String namespace = FormatRegistryManager.namespaceOf(nsid);
             String identifier = FormatRegistryManager.identifierOf(nsid);
             Date lastImported = bsf.getLastImported(nsid);
       %>
         <tr>
           <form method="post" action="">
             <input type="hidden" name="format_id" value="<%= bsf.getID() %>" />
             <input type="hidden" name="namespace" value="<%= namespace %>"/>
             <input type="hidden" name="identifier" value="<%= identifier %>"/>
                    
             <td class="<%= row %>RowOddCol" align="right"><%= namespace %></td>
             <td class="<%= row %>RowEvenCol"><strong>:</strong></td>
             <td class="<%= row %>RowOddCol"><%= identifier %></td>
             <td class="<%= row %>RowEvenCol"><%= (lastImported == null) ? "&nbsp;" : Utils.formatISO8601Date(lastImported) %></td>
             <td class="<%= row %>RowOddCol"><input type="submit" name="submit_update_identifier" value="<fmt:message key="jsp.dspace-admin.format-edit.update-from-registry"/>"/></td>
             <td class="<%= row %>RowEvenCol"><input type="submit" name="submit_delete_identifier" value="<fmt:message key="jsp.dspace-admin.general.delete"/>"/></td>
           </form>
         </tr>
       <%
           row = (row.equals("odd") ? "even" : "odd");
         }
       %>
         <tr>
           <form method="post" action="">
             <input type="hidden" name="format_id" value="<%= bsf.getID() %>" />
             <td class="<%= row %>RowOddCol">
               <select name="namespace">
<%
                    // the checkme nonsense is so we pre-select first namespace
                    // which is *not* the default DSpace internal one.
                    boolean unchecked = true;
                    for (String ns : FormatRegistryManager.getRegistryNamespaces())
                    {
                        boolean checkme = unchecked && !ns.equals(FormatRegistryManager.INTERNAL_NAMESPACE);
%>
                 <option value="<%= ns %>" <%= checkme ? "selected=\"selected\"" : "" %>><%= ns %></option>
<%
                        if (checkme) unchecked = false;
                    }
%>
               </select>
             </td>
             <td class="<%= row %>RowEvenCol">:</td>
             <td class="<%= row %>RowOddCol"><input type="text" name="identifier" size="20"/></td>
             <td class="<%= row %>RowEvenCol"><input type="submit" name="submit_add_identifier" value="<fmt:message key="jsp.dspace-admin.general.addnew"/>"/></td>
             <td class="<%= row %>RowOddCol"> </td>
           </form>
         </tr>
        </table>

        <form method="post" action="">
        <p align="center">
         <input type="submit" name="cancel"
           value="<fmt:message key="jsp.dspace-admin.general.cancel"/>" />
        </p>
        </form>

</dspace:layout>
